Module java.desktop
Package javax.swing.plaf.synth

## Class SynthDesktopPaneUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.DesktopPaneUI
    - - javax.swing.plaf.basic.BasicDesktopPaneUI
      - - javax.swing.plaf.synth.SynthDesktopPaneUI

- All Implemented Interfaces:
    `PropertyChangeListener`, `EventListener`, `SynthConstants`, `SynthUI`

      public class SynthDesktopPaneUI
      extends BasicDesktopPaneUI
      implements PropertyChangeListener, SynthUI

  Provides the Synth L&F UI delegate for `JDesktopPane`.
  Since:
    1.7

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicDesktopPaneUI

      `BasicDesktopPaneUI.CloseAction, BasicDesktopPaneUI.MaximizeAction, BasicDesktopPaneUI.MinimizeAction, BasicDesktopPaneUI.NavigateAction, BasicDesktopPaneUI.OpenAction`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicDesktopPaneUI

      `closeKey, desktop, desktopManager, maximizeKey, minimizeKey, navigateKey, navigateKey2`

    - ### Fields inherited from interface javax.swing.plaf.synth.SynthConstants

      `DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynthDesktopPaneUI​()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ComponentUI` | `createUI​(JComponent c)` | Creates a new UI object for the given component.
    `SynthContext` | `getContext​(JComponent c)` | Returns the Context for the specified component.
    `protected void` | `installDefaults​()` | Installs default properties.
    `protected void` | `installDesktopManager​()` | Installs desktop manager.
    `protected void` | `installListeners​()` | Installs the `PropertyChangeListener` returned from `createPropertyChangeListener` on the `JDesktopPane`.
    `void` | `paint​(Graphics g, JComponent c)` | Paints the specified component according to the Look and Feel.
    `protected void` | `paint​(SynthContext context, Graphics g)` | Paints the specified component.
    `void` | `paintBorder​(SynthContext context, Graphics g, int x, int y, int w, int h)` | Paints the border.
    `void` | `propertyChange​(PropertyChangeEvent evt)` | This method gets called when a bound property is changed.
    `protected void` | `uninstallDefaults​()` | Uninstalls default properties.
    `protected void` | `uninstallDesktopManager​()` | Uninstalls desktop manager.
    `protected void` | `uninstallListeners​()` | Uninstalls the `PropertyChangeListener` returned from `createPropertyChangeListener` from the `JDesktopPane`.
    `void` | `update​(Graphics g, JComponent c)` | Notifies this UI delegate to repaint the specified component.

    - ### Methods inherited from class javax.swing.plaf.basic.BasicDesktopPaneUI

      `createPropertyChangeListener, getMaximumSize, getMinimumSize, getPreferredSize, installKeyboardActions, installUI, registerKeyboardActions, uninstallKeyboardActions, uninstallUI, unregisterKeyboardActions`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynthDesktopPaneUI

          public SynthDesktopPaneUI​()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI​(JComponent c)

      Creates a new UI object for the given component.
      Parameters:
        `c` - component to create UI object for
      Returns:
        the UI object

    - #### installListeners

          protected void installListeners​()

      Installs the `PropertyChangeListener` returned from `createPropertyChangeListener` on the `JDesktopPane`.
      Overrides:
        `installListeners` in class `BasicDesktopPaneUI`
      See Also:
        `BasicDesktopPaneUI.createPropertyChangeListener()`

    - #### installDefaults

          protected void installDefaults​()

      Installs default properties.
      Overrides:
        `installDefaults` in class `BasicDesktopPaneUI`

    - #### uninstallListeners

          protected void uninstallListeners​()

      Uninstalls the `PropertyChangeListener` returned from `createPropertyChangeListener` from the `JDesktopPane`.
      Overrides:
        `uninstallListeners` in class `BasicDesktopPaneUI`
      See Also:
        `BasicDesktopPaneUI.createPropertyChangeListener()`

    - #### uninstallDefaults

          protected void uninstallDefaults​()

      Uninstalls default properties.
      Overrides:
        `uninstallDefaults` in class `BasicDesktopPaneUI`

    - #### installDesktopManager

          protected void installDesktopManager​()

      Installs desktop manager.
      Overrides:
        `installDesktopManager` in class `BasicDesktopPaneUI`

    - #### uninstallDesktopManager

          protected void uninstallDesktopManager​()

      Uninstalls desktop manager.
      Overrides:
        `uninstallDesktopManager` in class `BasicDesktopPaneUI`

    - #### getContext

          public SynthContext getContext​(JComponent c)

      Returns the Context for the specified component.
      Specified by:
        `getContext` in interface `SynthUI`
      Parameters:
        `c` - Component requesting SynthContext.
      Returns:
        SynthContext describing component.

    - #### update

          public void update​(Graphics g,
                             JComponent c)

      Notifies this UI delegate to repaint the specified component. This method paints the component background, then calls the `paint(SynthContext,Graphics)` method.

      In general, this method does not need to be overridden by subclasses. All Look and Feel rendering code should reside in the `paint` method.

      Overrides:
        `update` in class `ComponentUI`
      Parameters:
        `g` - the `Graphics` object used for painting
        `c` - the component being painted
      See Also:
        `paint(SynthContext,Graphics)`

    - #### paint

          public void paint​(Graphics g,
                            JComponent c)

      Paints the specified component according to the Look and Feel.

      This method is not used by Synth Look and Feel. Painting is handled by the `paint(SynthContext,Graphics)` method.

      Overrides:
        `paint` in class `BasicDesktopPaneUI`
      Parameters:
        `g` - the `Graphics` object used for painting
        `c` - the component being painted
      See Also:
        `paint(SynthContext,Graphics)`

    - #### paint

          protected void paint​(SynthContext context,
                               Graphics g)

      Paints the specified component. This implementation does nothing.
      Parameters:
        `context` - context for the component being painted
        `g` - the `Graphics` object used for painting
      See Also:
        `update(Graphics,JComponent)`

    - #### paintBorder

          public void paintBorder​(SynthContext context,
                                  Graphics g,
                                  int x,
                                  int y,
                                  int w,
                                  int h)

      Paints the border.
      Specified by:
        `paintBorder` in interface `SynthUI`
      Parameters:
        `context` - a component context
        `g` - `Graphics` to paint on
        `x` - the X coordinate
        `y` - the Y coordinate
        `w` - width of the border
        `h` - height of the border

    - #### propertyChange

          public void propertyChange​(PropertyChangeEvent evt)

      This method gets called when a bound property is changed.
      Specified by:
        `propertyChange` in interface `PropertyChangeListener`
      Parameters:
        `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.